Core - Bug # 56400

Status: Resolved Priority: Must have

Author: Marc Bastian Heinrichs Category: File Abstraction Layer (FAL)
Created: 2014-02-27 Assigned To: Marc Bastian Heinrichs
Updated: 2014-03-01 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: no-brainer

Is Regression: Yes

Sprint Focus:

Subject: Finding a storage by storage type fails

Description

Results in failing to build a correct ResourceFactory->localDriverStorageCache
results in failing to find a bestMatchingStorageByLocalPath results failing in getting the right storage for a fileldentifier results in dupes
in sys_file with storage 0.

Related issues:
related to Core - Task # 55186: Prevent Storages to be queried over and over ... Resolved 2014-01-20

Associated revisions

Revision 3d4de84e - 2014-03-01 21:22 - Marc Bastian Heinrichs

[BUGFIX] Fix StorageRepository::findByStorageType

Since optimizing the retrieval of Storages the
findByStorageType() doesn't find any (also right ones)
storage, because of a wrong comparison.

This fixes also the localDriverStorageCache in
ResourceFactory, finding a bestMatchingStorageByLocalPath
in ResourceFactory, getting the right storage for a local

path as fileldentifier and creation of duplicate entries

in sys_file with storage 0.

Resolves: #56400

Releases: 6.2

Change-Id: 175ac357dff498f1a209d4c42896bdeddab364 1ad
Reviewed-on: https:/review.typo3.org/27915

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2014-02-27 21:03 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27915
#2 - 2014-02-27 21:10 - Marc Bastian Heinrichs
- Is Regression changed from No to Yes

#3 - 2014-02-27 21:24 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27915

#4 - 2014-03-01 21:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3d4de84e357e497b1dc98dba9d91c8b30a43eb87.
